[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: devel: "Require %{name} = %{version}-%{release}"?



On Thu, Jun 01, 2006 at 10:11:36AM +0200, Laurent Rineau wrote:
> For a package which ships an alpha/beta/devel version of a library, the actual 
> version of the library is encoded in the release tag (according to the 
> package guidelines). In this case, shouldn't the "devel" sub-package have:
>     Require %{name} = %{version}-%{release}
> instead of the usual:
>     Require %{name} = %{version}

The guideline in fedora extras is to use 
     Require: %{name} = %{version}-%{release}
It was discussed on the list and I believe it is on the template for 
libraries. I havent found it in the wiki, maybe it should be there too.

--
Pat


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]